# Created by pyp2rpm-1.1.2
%global pypi_name sampledata

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        0.3
Release:        1%{?dist}
Summary:        Helper class for generate sample data

License:        BSD
URL:            https://github.com/jespino/sampledata
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-versiontools >= 1.8
BuildRequires:  python-nose >= 1.3.0
BuildRequires:  python-pillow
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-versiontools >= 1.8
BuildRequires:  python3-nose >= 1.3.0
BuildRequires:  python3-pillow
%endif # if with_python3
 
Requires:       python-six
Requires:       python-pytz
Requires:       python-pillow

%description
%{summary}

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Helper class for generate sample data
 
Requires:       python3-six
Requires:       python3-pytz
Requires:       python3-pillow

%description -n python3-%{pypi_name}
%{summary}
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}

## setup.py test is attempting to pull eggs from pypi
#%check
#%{__python2} setup.py test
#
#%if 0%{?with_python3}
#pushd %{py3dir}
#%{__python3} setup.py test
#popd
#%endif # with_python3


%files
%doc README.rst LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%exclude %{python2_sitelib}/tests
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%exclude %{python3_sitelib}/tests
%endif # with_python3


%changelog
* Thu May 28 2015 Adam Miller <maxamillion@gmail.com> - 0.3-1
- Initial package.
